//+------------------------------------------------------------------+
//|                                               Heiken_Ashi_EA.mq4 |
//|                                                       WSAStartup |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "WSAStartup"
#property link      ""

extern string s1="TIME TO WAIT IN SECONDS";
extern int TimeSpan=10;
extern string s2="-----------------------";
extern int TakeProfit=50;
extern int StopLoss=50;
extern int Magic=12367;

extern int MaMetod=2;
extern int MaPeriod=6;
extern int MaMetod2 =3;
extern int MaPeriod2=2;


int nTicket;

double haOpen;
double haClose;
double haOpen2;
double haClose2;


int init()
{
  return(0);
}

int deinit()
{
  return(0);
}


datetime CandleTime=0;
int nTrend=0;

int start()
{
  datetime TimeNow;
  
  if(OrdersTotal()!=0)
  {
    OrderSelect(nTicket,SELECT_BY_TICKET);
    if(OrderMagicNumber()==Magic)
    {      
      if((OrderType()==OP_SELL)&&(nTrend==1))
      {
        TimeNow=TimeCurrent();
        if((TimeNow-CandleTime)>TimeSpan) OrderClose(OrderTicket(), OrderLots(), Ask, 3, Red);
      }
      
      if((OrderType()==OP_BUY)&&(nTrend==2))
      {
        TimeNow=TimeCurrent();
        if((TimeNow-CandleTime)>TimeSpan) OrderClose(OrderTicket(), OrderLots(), Bid, 3, Red);
      }
    }
  }
  
  haOpen=iCustom(NULL,0,"Heiken_Ashi_Smoothed",MaMetod,MaPeriod,MaMetod2,MaPeriod2,2,0);
  haClose=iCustom(NULL,0,"Heiken_Ashi_Smoothed",MaMetod,MaPeriod,MaMetod2,MaPeriod2,3,0);
         
  haOpen2=iCustom(NULL,0,"Heiken_Ashi_Smoothed",MaMetod,MaPeriod,MaMetod2,MaPeriod2,1,0);
  haClose2=iCustom(NULL,0,"Heiken_Ashi_Smoothed",MaMetod,MaPeriod,MaMetod2,MaPeriod2,0,0);
  
  if((haOpen>=haClose)&&(haOpen2<haClose2))
  {
    if(nTrend==2)
    {
      TimeNow=TimeCurrent();
      if((TimeNow-CandleTime)>TimeSpan)
      {
        if(OrdersTotal()==0) 
          nTicket=OrderSend(Symbol(),OP_SELL,1,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"HA Order",Magic,0,Green);

      }
    }
        
    else
    {
      CandleTime=TimeCurrent();
      nTrend=2;
    }
  }
     
  else
  {
    if(nTrend==1)
    {
      TimeNow=TimeCurrent();
      if((TimeNow-CandleTime)>TimeSpan)
      {
        if(OrdersTotal()==0)
        nTicket=OrderSend(Symbol(),OP_BUY,0.1,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"HA Order",Magic,0,Green);
        
      }
    }
    
    else
    {
      CandleTime=TimeCurrent();
      nTrend=1;
    }
  }
  
  return(0);
 }